Next: readelf, Previous: objdump, Up: Top

## 5 ranlib

         ranlib [-vVt] archive

ranlib generates an index to the contents of an archive and stores it in the archive. The index lists each symbol defined by a member of an archive that is a relocatable object file.

You may use nm -s or nm --print-armap to list this index.

An archive with such an index speeds up linking to the library and allows routines in the library to call each other without regard to their placement in the archive.

The gnu ranlib program is another form of gnu ar; running ranlib is completely equivalent to executing ar -s. See ar.

-v
-V
--version
  Show the version number of ranlib.
-t
  Update the timestamp of the symbol map of an archive.